> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Partition By Resource id And Partition No



## OpenAPI

````yaml /open-api/api-docs.yml get /partition/resource/{resourceId}/get-partition/{partitionNo}
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /partition/resource/{resourceId}/get-partition/{partitionNo}:
    get:
      tags:
        - Partition Api
      summary: Get Partition By Resource id And Partition No
      operationId: findResourcePartitionByResourceIdAndPartitionNoUsingGET
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
        - name: partitionNo
          in: path
          description: partitionNo
          required: true
          schema:
            type: integer
            format: int32
        - name: resourceId
          in: path
          description: resourceId
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Partition with sensors and controllers
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/ResourcePartitionResponseWithSensorsControllers
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResourcePartitionResponseWithSensorsControllers
        '400':
          description: ApiErrorResponse model bad request.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    ResourcePartitionResponseWithSensorsControllers:
      title: ResourcePartitionResponseWithSensorsControllers
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
        'no':
          type: integer
          format: int32
        resourceControllers:
          type: array
          items:
            $ref: '#/components/schemas/ResourceControllerData'
        resourceId:
          type: integer
          format: int64
        resourceSensors:
          type: array
          items:
            $ref: '#/components/schemas/ResourceSensorData'
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    ResourceControllerData:
      title: ResourceControllerData
      type: object
      properties:
        hardwareSerialNumber:
          type: string
        id:
          type: integer
          format: int64
        resourceId:
          type: integer
          format: int64
        orderNo:
          type: integer
          format: int64
        ioType:
          type: string
          enum:
            - Digital
            - Analog
            - AnalogDigital
            - SerialUSART
            - SerialRS232
            - SerialRS485
            - SerialCAN
            - SerialEthernet
            - SerialI2C
            - SerialSPI
            - SerialOneWire
            - User
            - SerialMdb
            - SerialWireless
        ioDirection:
          type: string
          enum:
            - Input
            - Output
            - InputOutput
        trueValue:
          type: string
        falseValue:
          type: string
        description:
          type: string
        controllerName:
          type: string
        controllerId:
          type: integer
          format: int64
        partitions:
          type: array
          items:
            $ref: '#/components/schemas/ResourcePartitionResponse'
    ResourceSensorData:
      title: ResourceSensorData
      type: object
      properties:
        id:
          type: integer
          format: int64
        resourceId:
          type: integer
          format: int64
        orderNo:
          type: integer
          format: int64
        ioType:
          type: string
          enum:
            - Digital
            - Analog
            - AnalogDigital
            - SerialUSART
            - SerialRS232
            - SerialRS485
            - SerialCAN
            - SerialEthernet
            - SerialI2C
            - SerialSPI
            - SerialOneWire
            - User
            - SerialMdb
            - SerialWireless
        ioDirection:
          type: string
          enum:
            - Input
            - Output
            - InputOutput
        trueValue:
          type: string
        falseValue:
          type: string
        partitions:
          type: array
          items:
            $ref: '#/components/schemas/ResourcePartitionResponse'
        sensorId:
          type: integer
          format: int64
        description:
          type: string
        hardwareSerialNumber:
          type: string
        sensorName:
          type: string
    ResourcePartitionResponse:
      title: ResourcePartitionResponse
      type: object
      properties:
        name:
          type: string
        'no':
          type: integer
          format: int32

````